igeo.io

## Class IRhino3dm.MeshCurvatureStats

- java.lang.Object
- - igeo.io.IRhino3dm.MeshCurvatureStats

- Enclosing class:
    IRhino3dm

      public static class IRhino3dm.MeshCurvatureStats
      extends java.lang.Object

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Class and Description
    --- | ---
    `static class` | `IRhino3dm.MeshCurvatureStats.CurvatureStyle`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `double` | `adev`
    `double` | `average`
    `int` | `count`
    `int` | `countInfinite`
    `double` | `infinity`
    `double` | `mode`
    `IRhino3dm.Interval` | `range`
    `IRhino3dm.MeshCurvatureStats.CurvatureStyle` | `style`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MeshCurvatureStats()`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `read(IRhino3dm.Rhino3dmFile context, java.io.InputStream is)`
    `static IRhino3dm.MeshCurvatureStats.CurvatureStyle` | `style(int i)`
    `void` | `write(IRhino3dm.Rhino3dmFile context, java.io.OutputStream os, java.util.zip.CRC32 crc)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### style

          public IRhino3dm.MeshCurvatureStats.CurvatureStyle style

    - #### infinity

          public double infinity

    - #### countInfinite

          public int countInfinite

    - #### count

          public int count

    - #### mode

          public double mode

    - #### average

          public double average

    - #### adev

          public double adev

    - #### range

          public IRhino3dm.Interval range

  - ### Constructor Detail

    - #### MeshCurvatureStats

          public MeshCurvatureStats()

  - ### Method Detail

    - #### style

          public static IRhino3dm.MeshCurvatureStats.CurvatureStyle style(int i)

    - #### read

          public void read(IRhino3dm.Rhino3dmFile context,
                           java.io.InputStream is)
                    throws java.io.IOException

      Throws:
        `java.io.IOException`

    - #### write

          public void write(IRhino3dm.Rhino3dmFile context,
                            java.io.OutputStream os,
                            java.util.zip.CRC32 crc)
                     throws java.io.IOException

      Throws:
        `java.io.IOException`